org.jbpm.process.core.event

## Class NonAcceptingEventTypeFilter

- java.lang.Object
- - org.jbpm.process.core.event.EventTypeFilter
  - - org.jbpm.process.core.event.NonAcceptingEventTypeFilter

- All Implemented Interfaces:
    Serializable, EventFilter

      public class NonAcceptingEventTypeFilter
      extends EventTypeFilter

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.core.event.EventTypeFilter

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonAcceptingEventTypeFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsEvent(String type, Object event)` Nodes that use this event filter should never be triggered by this event
    `boolean` | `acceptsEvent(String type, Object event, Function<String,String> resolver)` Nodes that use this event filter should never be triggered by this event

    - ### Methods inherited from class org.jbpm.process.core.event.EventTypeFilter

      `getType, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonAcceptingEventTypeFilter

          public NonAcceptingEventTypeFilter()

  - ### Method Detail

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                                      Object event)

      Nodes that use this event filter should never be triggered by this event
      Specified by:
        `acceptsEvent` in interface `EventFilter`
      Overrides:
        `acceptsEvent` in class `EventTypeFilter`

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                                      Object event,
                                      Function<String,String> resolver)

      Nodes that use this event filter should never be triggered by this event
      Specified by:
        `acceptsEvent` in interface `EventFilter`
      Overrides:
        `acceptsEvent` in class `EventTypeFilter`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.